{"swagger":"2.0","info":{"description":"<h1 style=\"color:darkred;\">Introduction</h1><span style=\"color:darkyellow;line-height:20px; font-size: 14px;\">The 9jarecharge API Version is a robust API System targeted at developers who was to connect to the 9jarecharge Platform\nAll requests and responses are in JSON and must be properly formatted</span>\n","version":"1.0.0","title":"9jarecharge API Documentation","termsOfService":"http://9jarecharge.com/","contact":{"email":"apiteam@9jarecharge.com"}},"tags":[{"name":"Airtime","description":"This endpoint is to purchase airtime on the platform"},{"name":"DataShare","description":"This endpoint is to purchase datashare on the platform"},{"name":"Direct Data","description":"This endpoint is to purchase Direct Data on the platform"},{"name":"Cable TV","description":"This endpoint is to vend Cable Subscription on the platform"},{"name":"Electricity","description":"This endpoint is to vend Electricity on the platform"},{"name":"General Folder","description":"This endpoint can be used to query the list of all available services on the platform"}],"paths":{"/airtime/":{"post":{"tags":["Airtime"],"summary":"Buy Airtime","description":"Use this endpoint to make request for Airtime","operationId":"buyAirtime","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"api_key","in":"query","description":"Your api key as can be seen on the dashboard and it will be used to authenticate you on our server","required":true,"default":"e56c97d0","type":"string"},{"name":"product_code","in":"query","description":"The name of the product you are trying to buy, these should be gotten from the response of the list of available services","default":"mtn_custom","required":true,"type":"string"},{"name":"phone","in":"query","description":"The phone number that will get the airtime","required":true,"type":"integer","default":"08142287687"},{"name":"amount","in":"query","description":"This is an optional field but is compulsory for all custom services such as <ul> <li><b>mtn_custom</b></i> <li><b>glo_custom</b></i> <li><b>airtel_custom</b></i> <li><b>9mobile_custom</b></i> </ul>","required":true,"type":"integer","default":100},{"name":"callback","in":"query","description":"This is where the status of the transactions will be pushed upon update","required":true,"type":"string","default":"https://yourdomain.com/callback.php"}],"responses":{"200":{"description":"OK"}}},"get":{"tags":["Airtime"],"summary":"Check Airtime Delivery Status","description":"When you send a AIRTIME request, The return status is either PENDING, COMPLETED or FAILED To get the Final Status of the transaction, You should call this api with the request ID returned after processing","operationId":"getAirtimeDeliveryStatus","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"api_key","in":"query","description":"Your api key as can be seen on the dashboard and it will be used to authenticate you on our server","required":true,"default":"e56c97d0","type":"string"},{"name":"order_id","in":"query","description":"The order id of the request as return by the buy airtime api","required":true,"type":"string","default":3564},{"name":"task","in":"query","description":"Use this endpoint to make request for Airtime","required":true,"type":"string","default":"check_status"}],"responses":{"200":{"description":"OK"},"304":{"description":"Not Modified"}}}},"/datashare/":{"post":{"tags":["DataShare"],"summary":"Buy SME Data Share","description":"This is the Datashare Endpoint","operationId":"buyDataShare","consumes":["application/json"],"produces":["application/json","text/html"],"parameters":[{"name":"api_key","in":"query","description":"Your api key as can be seen on the dashboard and it will be used to authenticate you on our server","required":true,"default":"e56c97d0","type":"string"},{"name":"product_code","in":"query","description":"The name of the product you are trying to buy, these should be gotten from the response of the list of available services","default":"data_share_1gb","required":true,"type":"string"},{"name":"phone","in":"query","description":"The phone number that will get the data","required":true,"type":"integer","default":"08142287687"},{"name":"callback","in":"query","description":"This is where the status of the transactions will be pushed upon update","required":true,"type":"string","default":"https://yourdomain.com/callback.php"}],"responses":{"200":{"description":"OK"}}},"get":{"tags":["DataShare"],"summary":"Check DataShare Delivery Status","description":"When you send a data share request, The return status is PENDING.To get the Final Status of the transaction, You should call this api with the request ID returned after processing","operationId":"getDataShareDeliveryStatus","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"api_key","in":"query","description":"Your api key as can be seen on the dashboard and it will be used to authenticate you on our server","required":true,"default":"e56c97d0","type":"string"},{"name":"order_id","in":"query","description":"The order id of the request as return by the buy airtime api","required":true,"type":"string","default":3564},{"name":"task","in":"query","required":true,"type":"string","default":"check_status"}],"responses":{"200":{"description":"OK"},"304":{"description":"Not Modified"}}}},"/directdata/":{"post":{"tags":["Direct Data"],"summary":"Buy Direct Data","description":"This is the Direct Data Endpoint","operationId":"buyDirectData","consumes":["application/json"],"produces":["application/json","text/html"],"parameters":[{"name":"api_key","in":"query","description":"Your api key as can be seen on the dashboard and it will be used to authenticate you on our server","required":true,"default":"e56c97d0","type":"string"},{"name":"product_code","in":"query","description":"The name of the product you are trying to buy, these should be gotten from the response of the list of available services","default":"mtn_1gb__500mb_bonus","required":true,"type":"string"},{"name":"phone","in":"query","description":"The phone number that will get the data","required":true,"type":"integer","default":"08142287687"},{"name":"callback","in":"query","description":"This is where the status of the transactions will be pushed upon update","required":true,"type":"string","default":"https://yourdomain.com/callback.php"}],"responses":{"200":{"description":"OK"}}},"get":{"tags":["Direct Data"],"summary":"Check Direct Data Delivery Status","description":"When you send a data share request, The return status is PENDING. To get the Final Status of the transaction, You should call this api with the request ID returned after processing","operationId":"getDirectDataDeliveryStatus","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"api_key","in":"query","description":"Your api key as can be seen on the dashboard and it will be used to authenticate you on our server","required":true,"default":"e56c97d0","type":"string"},{"name":"order_id","in":"query","description":"The order id of the request as return by the direct data api","required":true,"type":"string","default":3564},{"name":"task","in":"query","required":true,"type":"string","default":"check_status"}],"responses":{"200":{"description":"OK"},"304":{"description":"Not Modified"}}}},"/tv/":{"post":{"tags":["Cable TV"],"summary":"Buy Cable Subscription","description":"This is where you call to vend Cable TV services such as <ul> <li><b>DSTV</b></li> <li><b>GOTV</b></li> <li><b>STARTIMES</b></li> </ul>","operationId":"buyCableTV","consumes":["application/json"],"produces":["application/json","text/html"],"parameters":[{"name":"api_key","in":"query","description":"Your api key as can be seen on the dashboard and it will be used to authenticate you on our server","required":true,"default":"e56c97d0","type":"string"},{"name":"product_code","in":"query","description":"The name of the product you are trying to vend, these should be gotten from the response of the list of available services","default":"gotv_value","required":true,"type":"string"},{"name":"smartcard_number","in":"query","description":"The smartcard/iuc number that will get subscription","required":true,"type":"integer","default":7023687567},{"name":"callback","in":"query","description":"This is where the status of the transactions will be pushed upon update","required":true,"type":"string","default":"https://yourdomain.com/callback.php"}],"responses":{"200":{"description":"OK"}}},"get":{"tags":["Cable TV"],"summary":"Verify Customer","description":"Call this endpoint to verify the iud number supplied before attempting to vend","operationId":"verifyCableTVCustomer","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"api_key","in":"query","description":"Your api key as can be seen on the dashboard and it will be used to authenticate you on our server","required":true,"default":"e56c97d0","type":"string"},{"name":"smartcard_number","in":"query","description":"The smartcard/iuc number that will get subscription","required":true,"type":"integer","default":7023687567},{"name":"product_code","in":"query","description":"The name of the product you are trying to vend, these should be gotten from the response of the list of available services","default":"gotv_value","required":true,"type":"string"},{"name":"task","in":"query","required":true,"type":"string","default":"verify"}],"responses":{"200":{"description":"OK"},"304":{"description":"Not Modified"}}}},"/tv//":{"get":{"tags":["Cable TV"],"summary":"Check Cable TV Delivery Status","description":"When you send a data share request, The return status is PENDING. To get the Final Status of the transaction, You should call this api with the request ID returned after processing","operationId":"getCableTVDeliveryStatus","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"api_key","in":"query","description":"Your api key as can be seen on the dashboard and it will be used to authenticate you on our server","required":true,"default":"e56c97d0","type":"string"},{"name":"order_id","in":"query","description":"The order id of the request as return by the direct tv api","required":true,"type":"string","default":3564},{"name":"task","in":"query","required":true,"type":"string","default":"check_status"}],"responses":{"200":{"description":"OK"},"304":{"description":"Not Modified"}}}},"/electric/":{"post":{"tags":["Electricity"],"summary":"Buy Electric Voucher","description":"This is where you call to vend Electricity services such as <ul> <li><b>PHED</b></li> <li><b>IBEDC</b></li> <li><b>IKEDC</b></li> <li><b>EKEDC</b></li> <li><b>AEDC</b></li> <li><b>KEDCO</b></li> <li><b>KEDC</b></li> <li><b>YEDC</b></li> <li><b>JEDC</b></li> <li><b>BEDC</b></li> <li><b>EEDC</b></li> </ul>","operationId":"buyElectricity","consumes":["application/json"],"produces":["application/json","text/html"],"parameters":[{"name":"api_key","in":"query","description":"Your api key as can be seen on the dashboard and it will be used to authenticate you on our server","required":true,"default":"e56c97d0","type":"string"},{"name":"product_code","in":"query","description":"The name of the product you are trying to vend, these should be gotten from the response of the list of available services","default":"ibedc_prepaid_custom","required":true,"type":"string"},{"name":"meter_number","in":"query","description":"The meter number you would like to vend for","required":true,"type":"integer","default":62141331165},{"name":"amount","in":"query","required":true,"type":"integer","default":100},{"name":"callback","in":"query","description":"This is where the status of the transactions will be pushed upon update","required":true,"type":"string","default":"https://yourdomain.com/callback.php"}],"responses":{"200":{"description":"OK"}}},"get":{"tags":["Electricity"],"summary":"Verify Meter","description":"Call this endpoint to verify the meter number supplied before attempting to vend","operationId":"verifyMeter","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"api_key","in":"query","description":"Your api key as can be seen on the dashboard and it will be used to authenticate you on our server","required":true,"default":"e56c97d0","type":"string"},{"name":"meter_number","in":"query","description":"The meter number that you would like to vend for.","required":true,"type":"integer","default":62141331165},{"name":"product_code","in":"query","description":"The name of the product you are trying to vend, these should be gotten from the response of the list of available services","default":"ibedc_prepaid_custom","required":true,"type":"string"},{"name":"task","in":"query","required":true,"type":"string","default":"verify"}],"responses":{"200":{"description":"OK"},"304":{"description":"Not Modified"}}}},"/electric//":{"get":{"tags":["Electricity"],"summary":"Requery Electric Vending Details","operationId":"getElectricityDeliveryStatus","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"api_key","in":"query","description":"Your api key as can be seen on the dashboard and it will be used to authenticate you on our server","required":true,"default":"e56c97d0","type":"string"},{"name":"order_id","in":"query","description":"The order id of the request as return by the electric api","required":true,"type":"string","default":3564},{"name":"task","in":"query","required":true,"type":"string","default":"check_status"}],"responses":{"200":{"description":"OK"},"304":{"description":"Not Modified"}}}},"/others/get_services.php/":{"post":{"tags":["General Folder"],"summary":"Get List of Main Services","description":"This is a list of all Main service rendered on our platform You can find a list sub services and a list of all available services below as well","operationId":"getListOfMainServices","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"api_key","in":"query","description":"Your api key as can be seen on the dashboard and it will be used to authenticate you on our server","required":true,"default":"e56c97d0","type":"string"}],"responses":{"200":{"description":"OK"}}}},"/others/get_sub_services.php/":{"post":{"tags":["General Folder"],"summary":"Get List of Sub Services","description":"These are some service codes that you could use to get a list of sub services rendered on our platform <ul> <li><b>sme_data_share</b></li> <li><b>cable_subscription</b></li> <li><b>data_topup</b></li> <li><b>mobile_topup</b></li> <li><b>abuja_distribution_company</b></li> <li><b>ibadan_distribution_company</b></li> <li><b>abuja_distribution_company</b></li> <li><b>kaduna_distribution_company</b></li> <li><b>kano_distribution_company</b></li> <li><b>jos_distribution_company</b></li> <li><b>ikeja_distribution_company</b></li> <li><b>eko_distribution_company</b></li> <li><b>enugu_distribution_company</b></li> <li><b>port_harcourt_distribution_company</b></li> </ul>","operationId":"getListOfSubServices","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"api_key","in":"query","description":"Your api key as can be seen on the dashboard and it will be used to authenticate you on our server","required":true,"default":"e56c97d0","type":"string"},{"name":"service_code","in":"query","required":true,"default":"ibadan_distribution_company","type":"string"}],"responses":{"200":{"description":"OK"}}}},"/others/get_available_services.php/":{"post":{"tags":["General Folder"],"summary":"Get List of Available Services","description":"This is a list of all Main service rendered on our platform You can find a list sub services and a list of all available services below as well","operationId":"getListOfAvailableServices","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"api_key","in":"query","description":"Your api key as can be seen on the dashboard and it will be used to authenticate you on our server","required":true,"default":"e56c97d0","type":"string"},{"name":"service_code","in":"query","required":true,"default":"ibadan_distribution_company","type":"string"},{"name":"sub_service_code","in":"query","required":true,"default":"ibadan_distribution_company_prepaid","type":"string"}],"responses":{"200":{"description":"OK"}}}}},"definitions":{"ApiResponse":{"type":"object","properties":{"code":{"type":"integer","format":"int32"},"type":{"type":"string"},"message":{"type":"string"}}}},"externalDocs":{"description":"Find out more about 9jarecharge","url":"http://9jarecharge.com"},"schemes":["https","http"],"host":"9jarecharge.com","basePath":"/api/v2/"}